Package: org.grails.buffer

## [Java] Class CodecPrintWriter

- org.grails.buffer.CodecPrintWriter

- All Implemented Interfaces and Traits:
    EncodedAppenderFactory, EncoderAware

      public class CodecPrintWriter
      extends GrailsPrintWriter
      implements EncodedAppenderFactory, EncoderAware

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private StreamCharBuffer` | `buffer` |
    `private Encoder` | `encoder` |
    `private boolean` | `ignoreEncodingState` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, metaClass, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CodecPrintWriter (java.io.Writer out, Encoder encoder, EncodingStateRegistry encodingStateRegistry)`
    `CodecPrintWriter (java.io.Writer out, Encoder encoder, EncodingStateRegistry encodingStateRegistry, boolean ignoreEncodingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodedAppender` | `getEncodedAppender()`
    `` | `public Encoder` | `getEncoder()`
    `` | `public java.io.Writer` | `getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, handleIOException, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isTrouble, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`

- - ### Field Detail

    - #### private final StreamCharBuffer buffer

    - #### private final Encoder encoder

    - #### private boolean ignoreEncodingState

  - ### Constructor Detail

    - #### public CodecPrintWriter(java.io.Writer out, Encoder encoder, EncodingStateRegistry encodingStateRegistry)

    - #### public CodecPrintWriter(java.io.Writer out, Encoder encoder, EncodingStateRegistry encodingStateRegistry, boolean ignoreEncodingState)

  - ### Method Detail

    - #### public EncodedAppender getEncodedAppender()

    - #### public Encoder getEncoder()

    - #### @java.lang.Override public java.io.Writer getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)